מחוברים עכשיו  

/v1/portfolio/

Manages all portfolio related functions
GET

/v1/portfolio/get_last_order_list_id

#
Returns the order list that has been used last by the api user
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/portfolio/get_last_order_list_id' \
  --data-urlencode 'key={{API_KEY}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$portfolio_get_last_order_list_id_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadstring כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/portfolio/get_last_order_list_id",
    "RequestUserAlias": "example-user",
    "Payload": "00000000-0000-4000-8000-000000900001"
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/portfolio/get_listings

#
Returns all listings in the users portfolio.

פרמטרים

שםסוגחובהברירת מחדלתיאור
getPopularityScoreBracket bool לא false if true, the popularity score for all listings will be returned
dateTimeRangeStart string לא "" Time Range Start Date, will be ignored if empty format: YYYY-MM-DD HH:MM:SS
dateTimeRangeEnd string לא "" Time Range End Date, will be ignored if empty format: YYYY-MM-DD HH:MM:SS
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/portfolio/get_listings' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'getPopularityScoreBracket={{getPopularityScoreBracket}}' \
  --data-urlencode 'dateTimeRangeStart={{dateTimeRangeStart}}' \
  --data-urlencode 'dateTimeRangeEnd={{dateTimeRangeEnd}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$portfolio_get_listings_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.Name = "Portfolio Listing Items" כן
$.oneOf[0].allOf[1].Payload.MetaInformation = [] כן
$.oneOf[0].allOf[1].Payload.KeyValueListarray כן
$.oneOf[0].allOf[1].Payload.KeyValueList[]object לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].Namestring ["AppointmentDrafts","ApprovedAppointments","PrivateAppointments","UnlockedAppointments","SubmittedListings_Rejections","SubmittedListings_InReview","SubmittedListings_WaitingForReview"] כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].MetaInformationobject כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].MetaInformation.ListingCountinteger כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueListarray כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[]object לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingIDstring | null כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].locationAliasstring כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].locationIDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].locationID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].locationID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingRespondByTime כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingRespondByTime.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingRespondByTime.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].locationCitySlug כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].locationCitySlug.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].locationCitySlug.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].creatorUserAlias כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].creatorUserAlias.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].creatorUserAlias.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].inventoryTypeIDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].inventoryTypeID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].inventoryTypeID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].inventoryTypeName כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].inventoryTypeName.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].inventoryTypeName.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingDatestring כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingTimestring כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingStartHourDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingStartHour.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingStartHour.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingCurrentAskingPriceDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingCurrentAskingPrice.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingCurrentAskingPrice.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].bid-communityPostID כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].bid-communityPostID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].bid-communityPostID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].bid-communityPostID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].bid-communityPostID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingDetailStatementstring כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingStatusstring כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingPublicConfirmationNumberstring כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].orderListID כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].orderListID.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].orderListID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingPopularityScoreBracket לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingPopularityScoreBracket.anyOf[0]number לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingPopularityScoreBracket.anyOf[1]string לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingPopularityScoreBracket.anyOf[2]null לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingViewsOneDayDatabaseInteger לאInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingViewsOneDay.oneOf[0]integer לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingViewsOneDay.oneOf[1]string לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingViewsAllTimeDatabaseInteger לאInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingViewsAllTime.oneOf[0]integer לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingViewsAllTime.oneOf[1]string לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueFieldListarray כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueFieldList[]string לא
$.oneOf[0].allOf[1].Payload.KeyValueFieldList = [] כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/portfolio/get_listings",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Name": "Portfolio Listing Items",
        "MetaInformation": [],
        "KeyValueList": [],
        "KeyValueFieldList": []
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/portfolio/get_my_appointments_grouped_by_city

#
Returns the authenticated viewer's appointments grouped by city, with separate counts for upcoming (Date >= today) and past (Date < today) rows. Powers the v2 sidebar's "My Bookings" block. Each group carries the city's IATA-style group code, display name, and emoji from ATAirport (joined via ATLocation.ATAirport_CityGroupCode, which is a denormalized cache column on ATLocation — no extra join to ATAirport in the count query). Filters applied (always): - CurrentOwner-ATUser_ID = the authenticated viewer (self-only; no peer-user param by design). - DeletedDate IS NULL on ATAppointment and ATLocation. - Status is one of the active My Bookings appointment states returned by Appointment::GetMyPlansAppointmentStatuses(). - ATAirport_CityGroupCode populated (rows without a city are dropped silently — they cannot be grouped meaningfully). Sort: groups are returned in the requested order. "upcoming" puts cities with the most upcoming appointments first (ties broken by total count). "name" sorts alphabetically by city display name.

פרמטרים

שםסוגחובהברירת מחדלתיאור
sortBy string לא "upcoming" Sort mode: "upcoming" (default) or "name".
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/portfolio/get_my_appointments_grouped_by_city' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'sortBy={{sortBy}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$portfolio_get_my_appointments_grouped_by_city_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadarray כן
$.oneOf[0].allOf[1].Payload[]object לא
$.oneOf[0].allOf[1].Payload[].cityCodestring כן
$.oneOf[0].allOf[1].Payload[].cityNamestring כן
$.oneOf[0].allOf[1].Payload[].emojistring כן
$.oneOf[0].allOf[1].Payload[].citySlugstring כן
$.oneOf[0].allOf[1].Payload[].upcomingCountinteger כן
$.oneOf[0].allOf[1].Payload[].pastCountinteger כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/portfolio/get_my_appointments_grouped_by_city",
    "RequestUserAlias": "example-user",
    "Payload": []
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/portfolio/get_my_calendar_items

#
Returns every time-bound item belonging to the viewer that falls in the window [from, to], normalized into the CalendarItem shape consumed by /modules/v2/travel_plans/?view=calendar. P1 covers bids and appointments — the two types backed by an existing per-user fetcher. Location events, transactions, livestreams and contract deadlines plug in as additional foreach-blocks once their helpers exist (see CALENDAR_DESIGN.md §5).

פרמטרים

שםסוגחובהברירת מחדלתיאור
from string כן — inclusive lower bound, format YYYY-MM-DD
to string כן — inclusive upper bound, format YYYY-MM-DD
types array לא [] optional allowlist of item types, e.g. ['listing','bid','appointment','sold']
limit int לא 500 cap on total items returned after merge
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/portfolio/get_my_calendar_items' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'from={{from}}' \
  --data-urlencode 'to={{to}}' \
  --data-urlencode 'types={{types}}' \
  --data-urlencode 'limit={{limit}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
פרמטרים: types
שדהסוגחובהתיאור
typesstring (application/json) לאJSON-encoded array. Empty includes every implemented source. event, transaction, livestream and contract currently return no items.
typesarray (JSON מפוענח) לא
types[]string ["listing","bid","appointment","sold","event","transaction","livestream","contract"] לא
שדות התגובה
שדהסוגחובהתיאור
$portfolio_get_my_calendar_items_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.itemsarray כן
$.oneOf[0].allOf[1].Payload.items[]MyCalendarItem לא
$.oneOf[0].allOf[1].Payload.items[].oneOf[0]object לא
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].idstring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].titlestring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].startDatestring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].endDatestring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].urlstring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].colorTokenstring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].startTime כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].startTime.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].startTime.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].endTime כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].endTime.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].endTime.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].isAllDayboolean כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].cityobject כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].city.namestring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].city.slugstring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].locationobject כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].location.namestring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].sourceIDinteger כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].type = "bid" כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].status = "pending" כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].ownerRole = "buyer" כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].discussionPostIDinteger כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].discussionURLstring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[1]object לא
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].idstring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].titlestring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].startDatestring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].endDatestring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].urlstring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].colorTokenstring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].startTime כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].startTime.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].startTime.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].endTime כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].endTime.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].endTime.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].isAllDayboolean כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].cityobject כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].city.namestring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].city.slugstring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].locationobject כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].location.namestring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].sourceIDinteger כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].typestring ["appointment","listing"] כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].statusstring ["confirmed","listed"] כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].ownerRolestring ["owner","shared"] כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].listingUUIDstring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].listingIDstring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].hintstring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2]object לא
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].idstring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].titlestring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].startDatestring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].endDatestring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].urlstring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].colorTokenstring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].startTime כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].startTime.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].startTime.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].endTime כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].endTime.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].endTime.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].isAllDayboolean כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].cityobject כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].city.namestring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].city.slugstring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].locationobject כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].location.namestring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].sourceIDinteger כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].type = "sold" כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].status = "sold" כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].ownerRole = "seller" כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].saleTypestring ["request_filled","listing_sold"] כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].transactionIDinteger כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].bidIDinteger כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].amountCentsinteger כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].amountLabelstring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].hintstring כן
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].buyerIdentityHiddenboolean לא
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].buyerIdentityHiddenUntil לא
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].buyerIdentityHiddenUntil.anyOf[0]integer לא
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].buyerIdentityHiddenUntil.anyOf[1]null לא
$.oneOf[0].allOf[1].Payload.metaobject כן
$.oneOf[0].allOf[1].Payload.meta.fromstring כן
$.oneOf[0].allOf[1].Payload.meta.tostring כן
$.oneOf[0].allOf[1].Payload.meta.countsobject כן
$.oneOf[0].allOf[1].Payload.meta.counts.listinginteger כן
$.oneOf[0].allOf[1].Payload.meta.counts.bidinteger כן
$.oneOf[0].allOf[1].Payload.meta.counts.appointmentinteger כן
$.oneOf[0].allOf[1].Payload.meta.counts.soldinteger כן
$.oneOf[0].allOf[1].Payload.meta.counts.event = 0 כן
$.oneOf[0].allOf[1].Payload.meta.counts.transaction = 0 כן
$.oneOf[0].allOf[1].Payload.meta.counts.livestream = 0 כן
$.oneOf[0].allOf[1].Payload.meta.counts.contract = 0 כן
$.oneOf[0].allOf[1].Payload.meta.generatedAtstring כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/portfolio/get_my_calendar_items",
    "RequestUserAlias": "example-user",
    "Payload": {
        "items": [],
        "meta": {
            "from": "synthetic-example",
            "to": "synthetic-example",
            "counts": {
                "listing": 0,
                "bid": 0,
                "appointment": 0,
                "sold": 0,
                "event": 0,
                "transaction": 0,
                "livestream": 0,
                "contract": 0
            },
            "generatedAt": "synthetic-example"
        }
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/portfolio/get_my_travel_plan_archived

#
Archived travel plans for the v2 "My Bookings" archive view. Returns a newest-first list of the viewer's archived appointments, each carrying the city payload used by the normal My Bookings landing page.

פרמטרים

שםסוגחובהברירת מחדלתיאור
limit int לא 25 Maximum archived plans to include.
offset int לא 0 Number of archived plans to skip.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/portfolio/get_my_travel_plan_archived' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'limit={{limit}}' \
  --data-urlencode 'offset={{offset}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$portfolio_get_my_travel_plan_archived_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.itemsarray כן
$.oneOf[0].allOf[1].Payload.items[]object לא
$.oneOf[0].allOf[1].Payload.items[].kind = "appointment" כן
$.oneOf[0].allOf[1].Payload.items[].sortDatestring כן
$.oneOf[0].allOf[1].Payload.items[].dataobject כן
$.oneOf[0].allOf[1].Payload.items[].data.IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.items[].data.ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.items[].data.ListingUUID כן
$.oneOf[0].allOf[1].Payload.items[].data.ListingUUID.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.items[].data.ListingUUID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].data.RespondByTime כן
$.oneOf[0].allOf[1].Payload.items[].data.RespondByTime.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.items[].data.RespondByTime.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationInventoryType_IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationInventoryType_ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationInventoryType_ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.items[].data.CreatedDatestring כן
$.oneOf[0].allOf[1].Payload.items[].data.LastUpdateDatestring כן
$.oneOf[0].allOf[1].Payload.items[].data.Datestring כן
$.oneOf[0].allOf[1].Payload.items[].data.Timestring כן
$.oneOf[0].allOf[1].Payload.items[].data.Cache-StartHourDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.Cache-StartHour.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.items[].data.Cache-StartHour.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.items[].data.Status = "Archived" כן
$.oneOf[0].allOf[1].Payload.items[].data.Creator-ATUser_IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.Creator-ATUser_ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.items[].data.Creator-ATUser_ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.items[].data.Cache-CurrentAskingPriceDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.Cache-CurrentAskingPrice.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.items[].data.Cache-CurrentAskingPrice.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.items[].data.TransferTypestring כן
$.oneOf[0].allOf[1].Payload.items[].data.AccessCode כן
$.oneOf[0].allOf[1].Payload.items[].data.AccessCode.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.items[].data.AccessCode.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].data.CurrentOwner-ATUser_IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.CurrentOwner-ATUser_ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.items[].data.CurrentOwner-ATUser_ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.items[].data.LastTransferServiceFee-ATAccountsLedger_ID כן
$.oneOf[0].allOf[1].Payload.items[].data.LastTransferServiceFee-ATAccountsLedger_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.LastTransferServiceFee-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.items[].data.LastTransferServiceFee-ATAccountsLedger_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.items[].data.LastTransferServiceFee-ATAccountsLedger_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].data.LatestTransfer-ATNotificationIntelligentTags_ID כן
$.oneOf[0].allOf[1].Payload.items[].data.LatestTransfer-ATNotificationIntelligentTags_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.LatestTransfer-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.items[].data.LatestTransfer-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.items[].data.LatestTransfer-ATNotificationIntelligentTags_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATNotificationIntelligentTags_ID כן
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATNotificationIntelligentTags_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATNotificationIntelligentTags_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].data.SellerCustomerChat-ATNotificationIntelligentTags_ID כן
$.oneOf[0].allOf[1].Payload.items[].data.SellerCustomerChat-ATNotificationIntelligentTags_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.SellerCustomerChat-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.items[].data.SellerCustomerChat-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.items[].data.SellerCustomerChat-ATNotificationIntelligentTags_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].data.NoShow-ATAccountsLedger_ID כן
$.oneOf[0].allOf[1].Payload.items[].data.NoShow-ATAccountsLedger_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.NoShow-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.items[].data.NoShow-ATAccountsLedger_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.items[].data.NoShow-ATAccountsLedger_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATAccountsLedger_ID כן
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATAccountsLedger_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATAccountsLedger_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATAccountsLedger_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].data.LocationNamestring כן
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.items[].data.Aliasstring כן
$.oneOf[0].allOf[1].Payload.items[].data.Timezonestring כן
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_Aliasstring כן
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_Namestring כן
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_CloseByCitySlug כן
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_CloseByCitySlug.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_CloseByCitySlug.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_Citystring כן
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_CityGroupCode כן
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_CityGroupCode.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_CityGroupCode.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_AppointmentTypeDescriptionstring כן
$.oneOf[0].allOf[1].Payload.items[].data.AppointmentDescriptorstring כן
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_AllowTransferServiceAddOnDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_AllowTransferServiceAddOn.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_AllowTransferServiceAddOn.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_TimeRangeUnitstring כן
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_StandardTransferFeeBasisPointsDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_StandardTransferFeeBasisPoints.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_StandardTransferFeeBasisPoints.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_LegacyTransferServiceFeeBasisPointsDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_LegacyTransferServiceFeeBasisPoints.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_LegacyTransferServiceFeeBasisPoints.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationInventoryType_Name כן
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationInventoryType_Name.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationInventoryType_Name.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].data.Headcount כן
$.oneOf[0].allOf[1].Payload.items[].data.Headcount.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.Headcount.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.items[].data.Headcount.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.items[].data.Headcount.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].data.Price כן
$.oneOf[0].allOf[1].Payload.items[].data.Price.anyOf[0]DatabaseNumber כןNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.items[].data.Price.anyOf[0].oneOf[0]number כן
$.oneOf[0].allOf[1].Payload.items[].data.Price.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.items[].data.Price.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].data.ATOrderLists_ID כן
$.oneOf[0].allOf[1].Payload.items[].data.ATOrderLists_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATOrderLists_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.items[].data.ATOrderLists_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.items[].data.ATOrderLists_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].data.ATTransaction_ID כן
$.oneOf[0].allOf[1].Payload.items[].data.ATTransaction_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATTransaction_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.items[].data.ATTransaction_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.items[].data.ATTransaction_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].data.ATBids_ID כן
$.oneOf[0].allOf[1].Payload.items[].data.ATBids_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATBids_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.items[].data.ATBids_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.items[].data.ATBids_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].data.ATDiscussionPosts_ID כן
$.oneOf[0].allOf[1].Payload.items[].data.ATDiscussionPosts_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATDiscussionPosts_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.items[].data.ATDiscussionPosts_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.items[].data.ATDiscussionPosts_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].data.MyPlansAccessRolestring ["owner","shared"] כן
$.oneOf[0].allOf[1].Payload.items[].data.CategoryReview-ATDiscussionBoards_ID_TraderPointsPerThread כן
$.oneOf[0].allOf[1].Payload.items[].data.CategoryReview-ATDiscussionBoards_ID_TraderPointsPerThread.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.items[].data.CategoryReview-ATDiscussionBoards_ID_TraderPointsPerThread.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].data.LocationReview-ATDiscussionBoards_ID_TraderPointsPerThread כן
$.oneOf[0].allOf[1].Payload.items[].data.LocationReview-ATDiscussionBoards_ID_TraderPointsPerThread.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.items[].data.LocationReview-ATDiscussionBoards_ID_TraderPointsPerThread.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].data.DetailStatement כן
$.oneOf[0].allOf[1].Payload.items[].data.DetailStatement.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.items[].data.DetailStatement.anyOf[1] = false כן
$.oneOf[0].allOf[1].Payload.items[].data.dateLabelstring כן
$.oneOf[0].allOf[1].Payload.items[].data.timeLabelstring כן
$.oneOf[0].allOf[1].Payload.items[].data.imageUrlstring כן
$.oneOf[0].allOf[1].Payload.items[].data.imageURL256string כן
$.oneOf[0].allOf[1].Payload.items[].data.imageURL512string כן
$.oneOf[0].allOf[1].Payload.items[].data.primaryColorstring כן
$.oneOf[0].allOf[1].Payload.items[].data.textColorstring כן
$.oneOf[0].allOf[1].Payload.items[].data.lastListedPriceHistoryIDinteger לא
$.oneOf[0].allOf[1].Payload.items[].data.lastListedAmountCentsinteger לא
$.oneOf[0].allOf[1].Payload.items[].data.lastListedAmountLabelstring לא
$.oneOf[0].allOf[1].Payload.items[].data.lastListedAtstring לא
$.oneOf[0].allOf[1].Payload.items[].data.lastListedDateLabelstring לא
$.oneOf[0].allOf[1].Payload.items[].data.MyPlansArchivedDate כן
$.oneOf[0].allOf[1].Payload.items[].data.MyPlansArchivedDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.items[].data.MyPlansArchivedDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].cityobject כן
$.oneOf[0].allOf[1].Payload.items[].city.codestring כן
$.oneOf[0].allOf[1].Payload.items[].city.namestring כן
$.oneOf[0].allOf[1].Payload.items[].city.emoji כן
$.oneOf[0].allOf[1].Payload.items[].city.emoji.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.items[].city.emoji.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.items[].city.slugstring כן
$.oneOf[0].allOf[1].Payload.items[].city.imageURL256string כן
$.oneOf[0].allOf[1].Payload.items[].city.imageURL512string כן
$.oneOf[0].allOf[1].Payload.pageobject כן
$.oneOf[0].allOf[1].Payload.page.limitinteger כן
$.oneOf[0].allOf[1].Payload.page.offsetinteger כן
$.oneOf[0].allOf[1].Payload.page.returnedinteger כן
$.oneOf[0].allOf[1].Payload.page.hasMoreboolean כן
$.oneOf[0].allOf[1].Payload.page.nextOffsetinteger כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/portfolio/get_my_travel_plan_archived",
    "RequestUserAlias": "example-user",
    "Payload": {
        "items": [],
        "page": {
            "limit": 1,
            "offset": 0,
            "returned": 0,
            "hasMore": false,
            "nextOffset": 0
        }
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/portfolio/get_my_travel_plan_detail

#
Per-city travel plan detail — the v2 city detail page's data source. Returns the city's display data plus the viewer's appointments and active bids in that city. Appointment windows: upcoming = from two calendar days ago onward, past = before today, archived = archived plans. The recent cutoff uses the app timezone; approved reservations retain their existing 48-hour visibility rule. Active bids and seller-sold reservations retain their existing current/future windows. Locked reservation rows expose safe relisting metadata in reservationActions; reservationDetail remains false to protect booking details and exact time. Both lists are returned in the row shape that templates/portfolio/ _card_appointment.html and _card_active_bid.html expect, so the v2 page can call those partials directly with no field translation. Scale: per-user row counts are small. Both legacy library calls (`Bids::GetBidsByUserID`, `Appointment::GetAppointmentsByUserID`) scan only the user's rows; the per-city + per-window filter runs in PHP. Hard-capped at 200 rows per source.

פרמטרים

שםסוגחובהברירת מחדלתיאור
cityCode string כן — IATA-style city group code (e.g. 'NYC').
window string לא "upcoming" 'upcoming' (default), 'past', or 'archived'.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/portfolio/get_my_travel_plan_detail' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'cityCode={{cityCode}}' \
  --data-urlencode 'window={{window}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$portfolio_get_my_travel_plan_detail_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.cityobject כן
$.oneOf[0].allOf[1].Payload.city.codestring כן
$.oneOf[0].allOf[1].Payload.city.namestring כן
$.oneOf[0].allOf[1].Payload.city.emoji כן
$.oneOf[0].allOf[1].Payload.city.emoji.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.city.emoji.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.city.slugstring כן
$.oneOf[0].allOf[1].Payload.city.imageURL256string כן
$.oneOf[0].allOf[1].Payload.city.imageURL512string כן
$.oneOf[0].allOf[1].Payload.appointmentsarray כן
$.oneOf[0].allOf[1].Payload.appointments[]object לא
$.oneOf[0].allOf[1].Payload.appointments[].IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.appointments[].ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.appointments[].ListingUUID כן
$.oneOf[0].allOf[1].Payload.appointments[].ListingUUID.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.appointments[].ListingUUID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].RespondByTime כן
$.oneOf[0].allOf[1].Payload.appointments[].RespondByTime.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.appointments[].RespondByTime.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationInventoryType_IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationInventoryType_ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationInventoryType_ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.appointments[].CreatedDatestring כן
$.oneOf[0].allOf[1].Payload.appointments[].LastUpdateDatestring כן
$.oneOf[0].allOf[1].Payload.appointments[].Datestring כן
$.oneOf[0].allOf[1].Payload.appointments[].Timestring כן
$.oneOf[0].allOf[1].Payload.appointments[].Cache-StartHourDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].Cache-StartHour.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.appointments[].Cache-StartHour.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.appointments[].Statusstring כן
$.oneOf[0].allOf[1].Payload.appointments[].Creator-ATUser_IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].Creator-ATUser_ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.appointments[].Creator-ATUser_ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.appointments[].Cache-CurrentAskingPriceDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].Cache-CurrentAskingPrice.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.appointments[].Cache-CurrentAskingPrice.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.appointments[].TransferTypestring כן
$.oneOf[0].allOf[1].Payload.appointments[].AccessCode כן
$.oneOf[0].allOf[1].Payload.appointments[].AccessCode.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.appointments[].AccessCode.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].CurrentOwner-ATUser_IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].CurrentOwner-ATUser_ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.appointments[].CurrentOwner-ATUser_ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.appointments[].LastTransferServiceFee-ATAccountsLedger_ID כן
$.oneOf[0].allOf[1].Payload.appointments[].LastTransferServiceFee-ATAccountsLedger_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].LastTransferServiceFee-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.appointments[].LastTransferServiceFee-ATAccountsLedger_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.appointments[].LastTransferServiceFee-ATAccountsLedger_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].LatestTransfer-ATNotificationIntelligentTags_ID כן
$.oneOf[0].allOf[1].Payload.appointments[].LatestTransfer-ATNotificationIntelligentTags_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].LatestTransfer-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.appointments[].LatestTransfer-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.appointments[].LatestTransfer-ATNotificationIntelligentTags_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATNotificationIntelligentTags_ID כן
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATNotificationIntelligentTags_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATNotificationIntelligentTags_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].SellerCustomerChat-ATNotificationIntelligentTags_ID כן
$.oneOf[0].allOf[1].Payload.appointments[].SellerCustomerChat-ATNotificationIntelligentTags_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].SellerCustomerChat-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.appointments[].SellerCustomerChat-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.appointments[].SellerCustomerChat-ATNotificationIntelligentTags_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].NoShow-ATAccountsLedger_ID כן
$.oneOf[0].allOf[1].Payload.appointments[].NoShow-ATAccountsLedger_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].NoShow-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.appointments[].NoShow-ATAccountsLedger_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.appointments[].NoShow-ATAccountsLedger_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATAccountsLedger_ID כן
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATAccountsLedger_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATAccountsLedger_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATAccountsLedger_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].LocationNamestring כן
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.appointments[].Aliasstring כן
$.oneOf[0].allOf[1].Payload.appointments[].Timezonestring כן
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_Aliasstring כן
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_Namestring כן
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_CloseByCitySlug כן
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_CloseByCitySlug.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_CloseByCitySlug.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_Citystring כן
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_CityGroupCode כן
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_CityGroupCode.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_CityGroupCode.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_AppointmentTypeDescriptionstring כן
$.oneOf[0].allOf[1].Payload.appointments[].AppointmentDescriptorstring כן
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_AllowTransferServiceAddOnDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_AllowTransferServiceAddOn.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_AllowTransferServiceAddOn.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_TimeRangeUnitstring כן
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_StandardTransferFeeBasisPointsDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_StandardTransferFeeBasisPoints.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_StandardTransferFeeBasisPoints.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_LegacyTransferServiceFeeBasisPointsDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_LegacyTransferServiceFeeBasisPoints.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_LegacyTransferServiceFeeBasisPoints.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationInventoryType_Name כן
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationInventoryType_Name.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationInventoryType_Name.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].Headcount כן
$.oneOf[0].allOf[1].Payload.appointments[].Headcount.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].Headcount.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.appointments[].Headcount.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.appointments[].Headcount.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].Price כן
$.oneOf[0].allOf[1].Payload.appointments[].Price.anyOf[0]DatabaseNumber כןNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.appointments[].Price.anyOf[0].oneOf[0]number כן
$.oneOf[0].allOf[1].Payload.appointments[].Price.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.appointments[].Price.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].ATOrderLists_ID כן
$.oneOf[0].allOf[1].Payload.appointments[].ATOrderLists_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATOrderLists_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.appointments[].ATOrderLists_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.appointments[].ATOrderLists_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].ATTransaction_ID כן
$.oneOf[0].allOf[1].Payload.appointments[].ATTransaction_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATTransaction_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.appointments[].ATTransaction_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.appointments[].ATTransaction_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].ATBids_ID כן
$.oneOf[0].allOf[1].Payload.appointments[].ATBids_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATBids_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.appointments[].ATBids_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.appointments[].ATBids_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].ATDiscussionPosts_ID כן
$.oneOf[0].allOf[1].Payload.appointments[].ATDiscussionPosts_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATDiscussionPosts_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.appointments[].ATDiscussionPosts_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.appointments[].ATDiscussionPosts_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].MyPlansAccessRolestring ["owner","shared"] כן
$.oneOf[0].allOf[1].Payload.appointments[].CategoryReview-ATDiscussionBoards_ID_TraderPointsPerThread כן
$.oneOf[0].allOf[1].Payload.appointments[].CategoryReview-ATDiscussionBoards_ID_TraderPointsPerThread.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.appointments[].CategoryReview-ATDiscussionBoards_ID_TraderPointsPerThread.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].LocationReview-ATDiscussionBoards_ID_TraderPointsPerThread כן
$.oneOf[0].allOf[1].Payload.appointments[].LocationReview-ATDiscussionBoards_ID_TraderPointsPerThread.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.appointments[].LocationReview-ATDiscussionBoards_ID_TraderPointsPerThread.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].DetailStatement כן
$.oneOf[0].allOf[1].Payload.appointments[].DetailStatement.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.appointments[].DetailStatement.anyOf[1] = false כן
$.oneOf[0].allOf[1].Payload.appointments[].dateLabelstring כן
$.oneOf[0].allOf[1].Payload.appointments[].timeLabelstring כן
$.oneOf[0].allOf[1].Payload.appointments[].imageUrlstring כן
$.oneOf[0].allOf[1].Payload.appointments[].imageURL256string כן
$.oneOf[0].allOf[1].Payload.appointments[].imageURL512string כן
$.oneOf[0].allOf[1].Payload.appointments[].primaryColorstring כן
$.oneOf[0].allOf[1].Payload.appointments[].textColorstring כן
$.oneOf[0].allOf[1].Payload.appointments[].lastListedPriceHistoryIDinteger לא
$.oneOf[0].allOf[1].Payload.appointments[].lastListedAmountCentsinteger לא
$.oneOf[0].allOf[1].Payload.appointments[].lastListedAmountLabelstring לא
$.oneOf[0].allOf[1].Payload.appointments[].lastListedAtstring לא
$.oneOf[0].allOf[1].Payload.appointments[].lastListedDateLabelstring לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].mode = "detail" כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].customerSurveys כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].customerSurveys.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].customerSurveys.anyOf[0].totalinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].customerSurveys.anyOf[0].submittedinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].customerSurveys.anyOf[0].urlstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].customerSurveys.anyOf[0].transactionIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].customerSurveys.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].listingUUIDstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].accessobject כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].access.rolestring ["owner","shared","reviewer","guest","transfer-agent","submission"] כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].access.canViewFullboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].access.isOwnerboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].access.isSharedGuestboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].access.isReviewerboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].access.isUnlockedDetailboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].access.authorizedByShareCodeboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].access.readOnly = true לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].locationobject כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].location.idinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].location.namestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].location.aliasstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].location.addressstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].location.googleMapsURLstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].location.cityLinestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].location.timezonestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].location.imageURLstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservationobject כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.refundStatusLabelstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.descriptorstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.inventoryNamestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.datestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.timestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.dateLabelstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.timeLabelstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.dateTimeLabelstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.partySizeLabelstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.checkInNamestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.emailstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.phonestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.detailStatementstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.purchaseSummarystring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.purchaseAmountFormattedstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.statusstring ["Draft","Submitted","In Review","Rejected","Private","Unlocked","Approved","Refunded","Transfer Requested","Transfer Failed","Transfer Failed But Unlocked","Standard Failed","Archived","In Transfer"] כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.headcountinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.customFieldsarray כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.customFields[]object לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.customFields[].idinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.customFields[].labelstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.customFields[].descriptionstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.customFields[].typestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.customFields[].valuestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.isPastboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].peopleobject כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].people.ownerAliasstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].people.creatorAliasstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guestsReservationGuests כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[0]array כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1]object כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].shareURLstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].headcountinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].confirmedCountinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].pendingSlotsinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].itemsarray כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].items[]object לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].items[].kindstring ["owner","shared"] כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].items[].namestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].items[].aliasstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].items[].statusstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].items[].lastSeenLabelstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reviewReservationReview כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[0]array כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[1]object כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[1].canReview = false כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[1].isActive = false כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2]object כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].revisionstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].canReview = true כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].isActive = true כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].needsBeginboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].isInProgressboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].isSelfReviewboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].reviewRewardEligibleboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].reviewRewardPointsinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].askingPriceSmallestUnitinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].reviewRewardFormattedstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].askingPriceFormattedstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].questionstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].respondByDatestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].respondByTimestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].respondByLabelstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].legacyReviewURLstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].bid כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].bid.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].bid.anyOf[0].idinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].bid.anyOf[0].amountFormattedstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].bid.anyOf[0].discussionURLstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].bid.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].historyarray כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].history[]object לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].history[].createdLabelstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].history[].statusstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].history[].descriptionstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].history[].descriptionHTMLstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].history[].reviewerAliasstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actionsReservationActions כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].shareURLstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addTransferServiceCheckoutURLstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addTransferServicePriceLabelstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addTransferServiceLocationNamestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addTransferServiceInventoryNamestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addTransferServiceDateLabelstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addTransferServiceTimeLabelstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reportProblemURLstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].refundChatURLstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].refundChatV2URLstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].sellerChatURLstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].sellerChatV2URLstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].absoluteShareURLstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addServiceAppointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addTransferServicePriceSmallestUnitinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].refundChatIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].sellerChatIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addServiceAvailableboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].manageAvailableboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reportInfractionAvailableboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellAvailableboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferServiceobject כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.visibleboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.requestAvailableboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.cancelAvailableboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.isRequestedboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.isInTransferboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.isCompletedboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.isFailedboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.typestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.statusstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.listingUUIDstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.currentNamestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.requestedNamestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.requestedGivenNamestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.requestedFamilyNamestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.requestedByAliasstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.requestedAtstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.requestEndpointstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.cancelEndpointstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].reviewRequestIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoardIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].boardIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetLocationIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetTypestring ["user","location"] כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetRolestring ["buyer","seller","location"] כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].idinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].boardIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].countinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].slugstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].namestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].citystring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].intentstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].callbackstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].unitLabelstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].selectedboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetDisplayNamestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationNamestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationAliasstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].titlestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].subtitlestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].promptstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].ctaLabelstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetUserIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetAliasstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetProfileURLstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedPostIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedPostURLstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].viewURLstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0]LocationReviewAction כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].reviewRequestIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoardIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].boardIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetLocationIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetTypestring ["user","location"] כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetRolestring ["buyer","seller","location"] כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].idinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].boardIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].countinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].slugstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].namestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].citystring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].intentstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].callbackstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].unitLabelstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].selectedboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetDisplayNamestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationNamestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationAliasstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].titlestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].subtitlestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].promptstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].ctaLabelstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetUserIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetAliasstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetProfileURLstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostURLstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].viewURLstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1]object כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].reviewRequestIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoardIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].boardIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetLocationIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetTypestring ["user","location"] כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetRolestring ["buyer","seller","location"] כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].idinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].boardIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].countinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].slugstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].namestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].citystring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].cityGroupCodestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].intentstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].callbackstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].unitLabelstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingDescriptionstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].createsRegularBoardPostboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultRequestBoardboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultListingBoardboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingEnabledboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].selectedboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetDisplayNamestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationNamestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationAliasstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].titlestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].subtitlestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].promptstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].ctaLabelstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].completedboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellEndpointstring לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellListingIDstring לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellLocationNamestring לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellInventoryNamestring לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellDateLabelstring לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellTimeLabelstring לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellAppointmentIDinteger לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellCurrentPriceSmallestUnitinteger לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellMinPriceinteger לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellMaxPriceinteger לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellTransferFeeBasisPointsinteger לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellRequiresReviewboolean לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellSelfReviewAvailableboolean לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellRelistOriginalboolean לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellSameDayOffersarray לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellSameDayOffers[]object לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellSameDayOffers[].timeLabelstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellSameDayOffers[].priceLabelstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellSameDayOffers[].inventoryTypestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[1]array כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].copyobject כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].copy.titlestring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].copy.descriptionstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[1] = false כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationActionsobject לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellAvailableboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellEndpointstring לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellListingIDstring לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellLocationNamestring לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellInventoryNamestring לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellDateLabelstring לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellTimeLabelstring לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellAppointmentIDinteger לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellCurrentPriceSmallestUnitinteger לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellMinPriceinteger לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellMaxPriceinteger לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellTransferFeeBasisPointsinteger לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellRequiresReviewboolean לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellSelfReviewAvailableboolean לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellRelistOriginalboolean לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellSameDayOffersarray לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellSameDayOffers[]object לא
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellSameDayOffers[].timeLabelstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellSameDayOffers[].priceLabelstring כן
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellSameDayOffers[].inventoryTypestring כן
$.oneOf[0].allOf[1].Payload.appointments[].sharePlanobject לא
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.isShared = true כן
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.sharePlanAttachmentIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinStateSharedPlanJoinState כן
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinState.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinState.anyOf[0].status = "Unavailable" כן
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinState.anyOf[0].canRequest = false כן
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinState.anyOf[0].canManage = false כן
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinState.anyOf[1]object כן
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinState.anyOf[1].statusstring ["Unavailable","Host","Joined","Pending","Accepted","Declined","None"] כן
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinState.anyOf[1].canRequestboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinState.anyOf[1].canManageboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinState.anyOf[1].pendingCountinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinState.anyOf[1].joiningCountinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinState.anyOf[1].requestIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinState.anyOf[1].planURLstring כן
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinState.anyOf[1].chatIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.postIDinteger כן
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.postURLstring כן
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.shareAttendeesboolean כן
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.boardIDinteger כן
[...]
